Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class Bot

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.Bot

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Bot
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `BOT_DISABLED` |
  `static int` | `BOT_ENABLED` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Bot()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `BotType` | `getBotType()` |
  `int` | `getState()` |
  `java.lang.String` | `getToken()` |
  `void` | `setBotType​(BotType botType)` |
  `void` | `setState​(int state)` |
  `void` | `setToken​(java.lang.String token)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### BOT_ENABLED

    public static final int BOT_ENABLED
    See Also:
      Constant Field Values

  - ### BOT_DISABLED

    public static final int BOT_DISABLED
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Bot

    public Bot()

- ## Method Details

  - ### getToken

    public java.lang.String getToken()

  - ### setToken

    public void setToken​(java.lang.String token)

  - ### getState

    public int getState()

  - ### setState

    public void setState​(int state)

  - ### getBotType

    public BotType getBotType()

  - ### setBotType

    public void setBotType​(BotType botType)